Bug 24560 - Don't show "Public Lists" in OPAC List menu if no public lists exist
Summary: Don't show "Public Lists" in OPAC List menu if no public lists exist
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-31 20:39 UTC by Andrew Fuerste-Henry
Modified: 2020-02-14 21:04 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03


Attachments
Bug 24560: Dont show Public lists if there are 0 (1.98 KB, patch)
2020-01-31 23:50 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24560: Dont show Public lists if there are 0 (2.04 KB, patch)
2020-02-01 00:05 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24560: Dont show No Public Lists in OPAC (1.77 KB, patch)
2020-02-01 16:36 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24560: Remove No public list text from OPAC (1.78 KB, patch)
2020-02-01 16:43 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24560: Remove No public list text from OPAC (1.84 KB, patch)
2020-02-03 16:28 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24560: Remove No public list text from OPAC (2.40 KB, patch)
2020-02-04 07:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-01-31 20:39:36 UTC
On the OPAC, the dropdown for Lists always includes the heading Public Lists, even if no public lists exist. This is sub-optimal for libraries that want VirtualShelves enabled for private lists but don't want to use public lists. Could we just make the heading not show if there are no public lists in the system?
Comment 1 Lucas Gass 2020-01-31 23:25:35 UTC
Andrew,
Comment 2 Lucas Gass 2020-01-31 23:50:23 UTC
Created attachment 98259 [details] [review]
Bug 24560: Dont show Public lists if there are 0

TEST PLAN:
1. have no public list and look at the List dropdown on the OPAC. It says No Public Lists.  
2. Apply patch  
3. It should now not say anything about public lists but still be formatted nice.
4. Add some public lists and confirm that everything looks normal. 
5. Sign off
Comment 3 ByWater Sandboxes 2020-02-01 00:05:27 UTC
Created attachment 98260 [details] [review]
Bug 24560: Dont show Public lists if there are 0

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 4 Lucas Gass 2020-02-01 16:36:33 UTC
Created attachment 98264 [details] [review]
Bug 24560: Dont show No Public Lists in OPAC

Offering a better patch. Test plan remains the same.
TEST PLAN:
1. have no public list and look at the List dropdown on the OPAC. It says No Public Lists.  
2. Apply patch  
3. It should now not say anything about public lists but still be formatted nice.
4. Add some public lists and confirm that everything looks normal. 
5. Sign off
Comment 5 Lucas Gass 2020-02-01 16:43:18 UTC
Created attachment 98265 [details] [review]
Bug 24560: Remove No public list text from OPAC

TEST PLAN:
1. have no public list and look at the List dropdown on the OPAC. It says No Public Lists.  
2. Apply patch  
3. It should now not say anything about public lists but still be formatted nice.
4. Add some public lists and confirm that everything looks normal. 
5. Sign off
Comment 6 ByWater Sandboxes 2020-02-03 16:28:09 UTC
Created attachment 98350 [details] [review]
Bug 24560: Remove No public list text from OPAC

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 7 Katrin Fischer 2020-02-04 07:13:14 UTC
Created attachment 98362 [details] [review]
Bug 24560: Remove No public list text from OPAC

On the OPAC, the dropdown for Lists always includes
the heading Public Lists, even if no public lists exist.
This is sub-optimal for libraries that want VirtualShelves
enabled for private lists but don't want to use public lists.

TEST PLAN:
1. have no public list and look at the List dropdown on the OPAC. It says No Public Lists.
2. Apply patch
3. It should now not say anything about public lists but still be formatted nice.
4. Add some public lists and confirm that everything looks normal.
5. Sign off

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2020-02-04 07:14:04 UTC
Hi Lucas, please make sure that you include a description of the problem and a test plan in your commit messages - I've fixed it this time around :)
Comment 9 Martin Renvoize 2020-02-04 10:22:23 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-02-11 00:09:48 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 11 Lucas Gass 2020-02-14 21:04:39 UTC
enhancement, not backporting to 19.05.x